%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pysvn
Version:        1.6.2
Release:        3%{dist}
Summary:        Pythonic style bindings for Subversion
Group:          Development/Languages
License:        ASL 1.1
URL:            http://pysvn.tigris.org/
Source0:        http://pysvn.barrys-emacs.org/source_kits/%{name}-%{version}.tar.gz
Patch0:         pysvn-1.6.2-fix-benchmark.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  PyXML
BuildRequires:  subversion-devel >= 1.6.11
BuildRequires:  krb5-devel
BuildRequires:  neon-devel
BuildRequires:  apr-devel
BuildRequires:  openssl-devel
Requires: subversion >= 1.6.11

%description
Pythonic style bindings for Subversion

%prep
%setup -q -n %{name}-%{version}
%patch0

%build
pushd Source
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py configure --enable-debug --verbose --norpath --fixed-module-name
# Set correct build flags
%{__sed} -i -e 's/-Wall -fPIC -fexceptions -frtti/%{optflags} -fPIC -frtti/' Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m 755 %{buildroot}%{python_sitearch}/%{name}
%{__install} -p -m 644 Source/pysvn/__init__.py %{buildroot}%{python_sitearch}/%{name}
%{__install} -p -m 755 Source/pysvn/_pysvn.so %{buildroot}%{python_sitearch}/%{name}

%check
#pushd Tests
#%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Docs/pysvn.html Docs/pysvn_prog_guide.html Docs/pysvn_prog_ref.html
%doc Docs/pysvn_prog_ref.js
%doc Examples
%doc LICENSE.txt
%{python_sitearch}/%{name}

%changelog
* Mon Dec 17 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.2-3
- Explicitly set the Subversion minimum version

* Mon Dec 17 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.2-2
- Rebuild against Subversion 1.6.11 to be compatible with RHEL 5 update
- Suppress running tests, since they're not updated for Subversion 1.6

* Tue Oct 28 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.2-1
- Upstream to 1.6.2, upstream provided some build fixes to remove patches
-   (Thanks Barry!).  Re-enabled testing with provided patch to fix whitespace

* Sat Oct 11 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.1-2
- Grrr, __init__.py still had some module versioning in it...killed it
- Renabled tests for versions < F10

* Mon Oct 06 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.1-1
- Update to 1.6.1, fix F10 FBFS
- Disabled tests, might be because of subversion 1.5

* Wed Feb 27 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.3-1
- Update to 1.5.3

* Thu Feb 14 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-6
- Clean up. Name change (back to upstream)

* Tue Feb 12 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-5
- Temporary fix for tests.  Need to work with upstream for permanent fix.

* Fri Feb 08 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-4
- Fixed build requires, libgssapi-devel was still in there (for EL5 support)

* Fri Jan 11 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-3
- Merged patches and spec changes by Terje Røsten <terje.rosten@ntnu.no>
- Fixed the test failures

* Fri Jan 04 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-2 
- Attempting to make the spec work with different versions of Python

* Mon Sep 03 2007 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-1
- Update to 1.5.2
- Some spec clean up

* Fri Jan 12 2007 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.0-1
- Initial spec creation

